
!ExecutableBlock methodsFor: '*tode-gemstone-inspector' stamp: 'dkh 05/21/2011 04:49'!
tODEBasicInspectorFields
	<tODEBasicInspectorFields>
	^{
		'method' -> method.
		'firstPC' -> firstPC.
		'spare1' -> spare1.
		'numberArgs' -> numberArgs.
		'numberTemps' -> numberTemps.
		'firstSourceOffset' -> firstSourceOffset.
		'lastSourceOffset' -> lastSourceOffset.
		'argsAndTemps' -> argsAndTemps.
		'blockSelfUsed' -> blockSelfUsed.
	} collect: [:assoc | assoc asKeylessFieldSpec]
! !

!AbstractDictionary methodsFor: '*tode-gemstone-inspector' stamp: 'DataCurator 05/21/2011 05:35'!
tODEInspectorFields
	<tODEInspectorFields>
	^ self associations
		collect: [ :assoc | 
			(TOInspectorFieldSpec new)
				key: assoc key;
				value: assoc value ]! !

!CharacterCollection methodsFor: '*tode-gemstone-inspector' stamp: 'dkh 05/21/2011 04:50'!
tODEInspectorFields
	<tODEInspectorFields>
	^ {TOInspectorValuelessFieldSpec new valueLabel: self}! !

!ObjectLogEntry methodsFor: '*tode-gemstone-inspector' stamp: 'dkh 06/08/2011 16:21'!
priorityLabelString

	^#('fatal' 'error' 'warn' 'info' 'debug' 'trace' 'transcript') at: self priority! !

!ObjectLogEntry methodsFor: '*tode-gemstone-inspector' stamp: 'DataCurator 05/21/2011 14:13'!
renderInspectorContentOn: html for: aTOInspector main: main
	aTOInspector getMembers.
	aTOInspector basicInspect
		ifTrue: [ ^ aTOInspector renderStandardContentOn: html main: main ].
	aTOInspector renderBasicToggleOn: html main: main.
	html horizontalRule.
 	html text: 'priority: ', self priorityLabelString; break.
	html text: 'label: ', self label; break.
	html text: 'pid: ', self pidString; break.
	html text: 'time: ', self stampString; break.
	self object ifNotNil: [
		html text: 'object: '.
		aTOInspector
			renderLink: [ :s | | fr |
				fr := main currentSession push: self object selecting: #inspect.
				main updateCenterSideHistory: s ]
			with: self objectString
			on: html ].

! !

!ObjectLogEntry methodsFor: '*tode-gemstone-inspector' stamp: 'dkh 06/08/2011 15:50'!
tODEInspectorFields
	<tODEInspectorFields>
	"force inspector to have standard and basic views"
	^self tODEBasicInspectorFields! !

!DebuggerLogEntry methodsFor: '*tode-gemstone-inspector' stamp: 'dkh 06/08/2011 16:06'!
renderInspectorContentOn: html for: aTOInspector main: main

	super renderInspectorContentOn: html for: aTOInspector main: main.
	self continuation ifNotNil: [
		html text: 'continuation: '.
		aTOInspector
			renderLink: [ :s | | fr |
				fr := main currentSession push: self continuation selecting: #debug.
				main updateCenterSideHistory: s ]
			with: self continuationLabel
			on: html ].

! !

!Object methodsFor: '*tode-gemstone-inspector' stamp: 'DataCurator 07/13/2011 16:49'!
tODEBasicPlatformInspectorFields: membersStream
	{('(self)' -> self).
	('(class)' -> self class).
	('(oop)' -> self asOop)} do: [ :assoc | membersStream nextPut: assoc asKeylessFieldSpec ].
	^ false! !

!ComplexBlock methodsFor: '*tode-gemstone-inspector' stamp: 'dkh 05/21/2011 04:52'!
tODEBasicInspectorFields
	<tODEBasicInspectorFields>
	^super tODEBasicInspectorFields, ({
		'selfValue' -> selfValue.
		'originalInstance' -> originalInstance.
		'staticLink' -> staticLink.
	} collect: [:assoc | assoc asKeylessFieldSpec])
! !

!MethodReference methodsFor: '*tode-gemstone-inspector' stamp: 'DataCurator 05/20/2011 18:13'!
methodClass 

^self actualClass! !

!MethodReference methodsFor: '*tode-gemstone-inspector' stamp: 'DataCurator 07/14/2011 09:05'!
printOn: aStream
	"Print the receiver on a stream"

	aStream nextPutAll: ' ', self actualClass name, ' >> #', methodSymbol! !

!MethodReference methodsFor: '*tode-gemstone-inspector' stamp: 'DataCurator 05/20/2011 18:15'!
sourceString
^self sourceCode! !
